# Class StatementFinalizer.StatementEntry

java.lang.Object
org.apache.tomcat.jdbc.pool.interceptor.StatementFinalizer.StatementEntry

Enclosing class:
  `StatementFinalizer`

protected class StatementFinalizer.StatementEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatementEntry(Statement statement)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getAllocationStack()`
  `Statement`
  `getStatement()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatementEntry

    public StatementEntry(Statement statement)

- ## Method Details

  - ### getStatement

    public Statement getStatement()

  - ### getAllocationStack

    public Throwable getAllocationStack()